Chuyển đến nội dung
Diễn đàn CADViet
Học AutoCAD Online cùng CADViet

be_chanh

Moderator
  • Số lượng nội dung

    1.592
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    41

Cộng đồng

890 (rất tốt)

About be_chanh

  • Cấp bậc
    biết lệnh adcenter
  • Ngày sinh 04/02/1984

Thông tin hồ sơ

  • Giới tính
    Male
  • Vị trí
    Việt Nam

Phương pháp liên hệ

  • Yahoo
    cudstk
  1. Một bản vẽ mới được thiết lập. Vẫn những layer đó, vẫn những kiểu text đó, vẫn những kiểu dim đó...Bạn không cần thiết phải làm lại từ đầu vì quá mất thời gian. Vậy làm thế nào??? ( Tất cả các LISP CODE bạn chỉ việc copy rồi save ra file cùng tên với lệnh lisp và có phần mở rộng la .LSP (ví dụ: TaoL.LSP) là ok :lol: ) Bài 1: Tạo Layer (defun c:TaoL() (command "layer" "m" "!tuong" "c" "2" "" "") (command "layer" "m" "!tim" "c" "1" "" "") (command "layer" "m" "!thay" "c" "7" "" "") (command "layer" "m" "!noithat" "c" "8" "" "") (command "layer" "m" "!hatch" "c" "8" "" "") (command "layer" "m" "!chu" "c" "3" "" "") (command "layer" "m" "!kichthuoc" "c" "8" "" "") (princ) ) Với lisp này lệnh để tạo layer sẽ là TaoL. Bài 2: Tạo Text Style ( kiểu chữ ) (defun c:TaoC() (command "style" "!vnAvanH" ".VnAvantH" "" "" "" "" "") (princ)) Với lisp này lệnh để tạo kiểu chữ sẽ là TaoC. Bài 3: Tạo Dim Style ( kiểu kích thước ) (defun c:TaoK (/ scl fcal scal );dmasz dexo dexo dtxt dgap dclre dclrt dsn ao ad obj)(vl-load-com)(setq scl (getstring "\nTY LE BAN VE: "))(setq fcal (atof (substr scl 1 1))) (setq scal (atof (substr scl 3 3))) (setq tyle (/ fcal scal)) (setq caochu (getint "\nCHIEU CAO CUA CHU: "))(setvar "DIMALTF" 25)(setvar "DIMALTTZ" 13) (setvar "DIMALTZ" 13) (setvar "DIMBLK" "ArchTick") (setvar "DIMBLK1" "ArchTick")(setvar "DIMBLK2" "ArchTick")(setvar "DIMASZ" (/ caochu 2))(setvar "DIMCEN" -50) (setvar "DIMCLRD" 9)(setvar "DIMDLE" (/ caochu 2))(setvar "DIMTOFL" 1)(setvar "DIMDLI" 0)(setvar "DIMCLRE" 9)(setvar "DIMEXE" (/ caochu 2))(setvar "DIMEXO" 0)(setvar "DIMTMOVE" 2)(setvar "DIMLDRBLK" "ArchTick")(setvar "DIMDEC" 0)(setvar "DIMCLRT" 9)(setvar "DIMTXT" caochu)(setvar "DIMLFAC" TYLE) (setvar "DIMTIX" 1)(setvar "DIMTIH" 0)(setvar "DIMGAP" (/ caochu 2))(setvar "DIMTOH" 0)(setvar "DIMTAD" 1)(setvar "DIMTXSTY" "!vnAvanH")(setvar "DIMTDEC" 0)(setvar "DIMTZIN" 13)(setvar "DIMZIN" 13);-------------------------------------------------------------(setq dsn (getstring "\nTEN CUA KIEU DIM MOI: ")) (setq ao (vlax-get-acad-object)) (setq ad (vla-get-ActiveDocument ao)) (setq obj (vla-add (vla-get-dimstyles ad) dsn)) (vla-copyfrom Obj ad) (vla-put-activedimstyle ad Obj) (princ) ) Với lisp này lệnh để tạo kiểu kích thước sẽ là TaoK. Các thông số cần nhập 1. Tỷ lệ bản vẽ: (Thường là 1/1, cũng có thể là 1/2 tùy vào kiểu dim bạn muốn tạo) 2. Chiều cao chữ: (Tùy thuộc vào bản vẽ của bạn) 3. Tên kiểu dim mới: (Nên đặt theo chiều cao của chữ)
×